Browse Source

gnu: python-language-server: Build with python-jedi@0.15.2.

* gnu/packages/python-xyz.scm (python-language-server)[propagated-inputs]:
Remove PYTHON-JEDI.  Add PYTHON-JEDI-0.15.
(python-jedi-0.15, python-parso-0.5): New public variables.
gn-latest-20200428
Marius Bakke 2 years ago
parent
commit
dcff9bda97
No known key found for this signature in database GPG Key ID: A2A06DF2A33A54FA
  1. 31
      gnu/packages/python-xyz.scm

31
gnu/packages/python-xyz.scm

@ -3459,7 +3459,9 @@ Server (PLS).")
(propagated-inputs
`(("python-pluggy" ,python-pluggy)
("python-jsonrpc-server" ,python-jsonrpc-server)
("python-jedi" ,python-jedi)
;; Note: Remove the special versions of Jedi and Parso when updating
;; this package.
("python-jedi" ,python-jedi-0.15)
("python-yapf" ,python-yapf)
("python-pyflakes" ,python-pyflakes)
("python-pydocstyle" ,python-pydocstyle)
@ -11566,6 +11568,20 @@ well.")
(define-public python2-jedi
(package-with-python2 python-jedi))
;; python-language-server requires 0.15 specifically. Remove once unused.
(define-public python-jedi-0.15
(package
(inherit python-jedi)
(version "0.15.2")
(source (origin
(method url-fetch)
(uri (pypi-uri "jedi" version))
(sha256
(base32
"01zqasl690x1i6dq4mvh13pz0cw8i276xsivsrnn00x90iqm42g9"))))
(propagated-inputs
`(("python-parso" ,python-parso-0.5)))))
(define-public ptpython
(package
(name "ptpython")
@ -15885,6 +15901,19 @@ Parso is also able to list multiple syntax errors in your Python file.")
(define-public python2-parso
(package-with-python2 python-parso))
;; This version is required for Jedi@0.15, which in turn is needed for
;; python-language-server.
(define-public python-parso-0.5
(package
(inherit python-parso)
(version "0.5.2")
(source (origin
(method url-fetch)
(uri (pypi-uri "parso" version))
(sha256
(base32
"1qgvrkpma7vylrk047mxxvqd66nwqk978n3ig2w8iz9m3bgjbksm"))))))
(define-public python-async-generator
(package
(name "python-async-generator")

Loading…
Cancel
Save